com.io7m.jcanephora.renderstate

## Class JCGLBlendStateMutable

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLBlendStateMutable

- All Implemented Interfaces:
    JCGLBlendStateType

      @Generated(value={"Modifiables.generator","JCGLBlendStateType"})
      public final class JCGLBlendStateMutable
      extends Object
      implements JCGLBlendStateType

  A modifiable implementation of the `JCGLBlendStateType` type.

  Use the `create()` static factory methods to create new instances.

  JCGLBlendStateMutable is not thread-safe

  See Also:
    `JCGLBlendState`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blendEquationAlphaIsSet()` Returns `true` if the default attribute `blendEquationAlpha` is set.
    `boolean` | `blendEquationRGBIsSet()` Returns `true` if the default attribute `blendEquationRGB` is set.
    `boolean` | `blendFunctionSourceAlphaIsSet()` Returns `true` if the default attribute `blendFunctionSourceAlpha` is set.
    `boolean` | `blendFunctionSourceRGBIsSet()` Returns `true` if the default attribute `blendFunctionSourceRGB` is set.
    `boolean` | `blendFunctionTargetAlphaIsSet()` Returns `true` if the default attribute `blendFunctionTargetAlpha` is set.
    `boolean` | `blendFunctionTargetRGBIsSet()` Returns `true` if the default attribute `blendFunctionTargetRGB` is set.
    `JCGLBlendStateMutable` | `clear()` Clears the object by setting all attributes to their initial values.
    `static JCGLBlendStateMutable` | `create()` Construct a modifiable instance of `JCGLBlendStateType`.
    `static JCGLBlendStateMutable` | `create(JCGLBlendFunction blendFunctionSourceRGB, JCGLBlendFunction blendFunctionSourceAlpha, JCGLBlendFunction blendFunctionTargetRGB, JCGLBlendFunction blendFunctionTargetAlpha, JCGLBlendEquation blendEquationRGB, JCGLBlendEquation blendEquationAlpha)` Construct a modifiable instance of `JCGLBlendStateType`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLBlendStateMutable` that have equal attribute values.
    `JCGLBlendStateMutable` | `from(JCGLBlendStateType instance)` Fill this modifiable instance with attribute values from the provided `JCGLBlendStateType` instance.
    `JCGLBlendEquation` | `getBlendEquationAlpha()`
    `JCGLBlendEquation` | `getBlendEquationRGB()`
    `JCGLBlendFunction` | `getBlendFunctionSourceAlpha()`
    `JCGLBlendFunction` | `getBlendFunctionSourceRGB()`
    `JCGLBlendFunction` | `getBlendFunctionTargetAlpha()`
    `JCGLBlendFunction` | `getBlendFunctionTargetRGB()`
    `int` | `hashCode()` Computes a hash code from attributes: `blendFunctionSourceRGB`, `blendFunctionSourceAlpha`, `blendFunctionTargetRGB`, `blendFunctionTargetAlpha`, `blendEquationRGB`, `blendEquationAlpha`.
    `boolean` | `isInitialized()` Returns `true` if all required attributes are set, indicating that the object is initialized.
    `JCGLBlendStateMutable` | `setBlendEquationAlpha(JCGLBlendEquation blendEquationAlpha)` Assigns a value to the `blendEquationAlpha` attribute.
    `JCGLBlendStateMutable` | `setBlendEquationRGB(JCGLBlendEquation blendEquationRGB)` Assigns a value to the `blendEquationRGB` attribute.
    `JCGLBlendStateMutable` | `setBlendFunctionSourceAlpha(JCGLBlendFunction blendFunctionSourceAlpha)` Assigns a value to the `blendFunctionSourceAlpha` attribute.
    `JCGLBlendStateMutable` | `setBlendFunctionSourceRGB(JCGLBlendFunction blendFunctionSourceRGB)` Assigns a value to the `blendFunctionSourceRGB` attribute.
    `JCGLBlendStateMutable` | `setBlendFunctionTargetAlpha(JCGLBlendFunction blendFunctionTargetAlpha)` Assigns a value to the `blendFunctionTargetAlpha` attribute.
    `JCGLBlendStateMutable` | `setBlendFunctionTargetRGB(JCGLBlendFunction blendFunctionTargetRGB)` Assigns a value to the `blendFunctionTargetRGB` attribute.
    `JCGLBlendState` | `toImmutable()` Converts to `JCGLBlendState`.
    `String` | `toString()` Generates a string representation of this `JCGLBlendStateType`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static JCGLBlendStateMutable create(JCGLBlendFunction blendFunctionSourceRGB,
                                                     JCGLBlendFunction blendFunctionSourceAlpha,
                                                     JCGLBlendFunction blendFunctionTargetRGB,
                                                     JCGLBlendFunction blendFunctionTargetAlpha,
                                                     JCGLBlendEquation blendEquationRGB,
                                                     JCGLBlendEquation blendEquationAlpha)

      Construct a modifiable instance of `JCGLBlendStateType`.
      Parameters:
        `blendFunctionSourceRGB` - The value for the `blendFunctionSourceRGB` attribute
        `blendFunctionSourceAlpha` - The value for the `blendFunctionSourceAlpha` attribute
        `blendFunctionTargetRGB` - The value for the `blendFunctionTargetRGB` attribute
        `blendFunctionTargetAlpha` - The value for the `blendFunctionTargetAlpha` attribute
        `blendEquationRGB` - The value for the `blendEquationRGB` attribute
        `blendEquationAlpha` - The value for the `blendEquationAlpha` attribute
      Returns:
        A new modifiable instance

    - #### create

          public static JCGLBlendStateMutable create()

      Construct a modifiable instance of `JCGLBlendStateType`.
      Returns:
        A new modifiable instance

    - #### getBlendFunctionSourceRGB

          public final JCGLBlendFunction getBlendFunctionSourceRGB()

      Specified by:
        `getBlendFunctionSourceRGB` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionSourceAlpha

          public final JCGLBlendFunction getBlendFunctionSourceAlpha()

      Specified by:
        `getBlendFunctionSourceAlpha` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionTargetRGB

          public final JCGLBlendFunction getBlendFunctionTargetRGB()

      Specified by:
        `getBlendFunctionTargetRGB` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionTargetAlpha

          public final JCGLBlendFunction getBlendFunctionTargetAlpha()

      Specified by:
        `getBlendFunctionTargetAlpha` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendEquationRGB

          public final JCGLBlendEquation getBlendEquationRGB()

      Specified by:
        `getBlendEquationRGB` in interface `JCGLBlendStateType`
      Returns:
        The blend equation used for the RGB components of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### getBlendEquationAlpha

          public final JCGLBlendEquation getBlendEquationAlpha()

      Specified by:
        `getBlendEquationAlpha` in interface `JCGLBlendStateType`
      Returns:
        The blend equation used for the alpha component of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### clear

          public JCGLBlendStateMutable clear()

      Clears the object by setting all attributes to their initial values.
      Returns:
        `this` for use in a chained invocation

    - #### from

          public JCGLBlendStateMutable from(JCGLBlendStateType instance)

      Fill this modifiable instance with attribute values from the provided `JCGLBlendStateType` instance. Regular attribute values will be overridden, i.e. replaced with ones of an instance. Any of the instance's absent optional values will not be copied (will not override current values).
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` for use in a chained invocation

    - #### setBlendFunctionSourceRGB

          public JCGLBlendStateMutable setBlendFunctionSourceRGB(JCGLBlendFunction blendFunctionSourceRGB)

      Assigns a value to the `blendFunctionSourceRGB` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blendFunctionSourceRGB`.

      Parameters:
        `blendFunctionSourceRGB` - The value for blendFunctionSourceRGB
      Returns:
        `this` for use in a chained invocation

    - #### setBlendFunctionSourceAlpha

          public JCGLBlendStateMutable setBlendFunctionSourceAlpha(JCGLBlendFunction blendFunctionSourceAlpha)

      Assigns a value to the `blendFunctionSourceAlpha` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blendFunctionSourceAlpha`.

      Parameters:
        `blendFunctionSourceAlpha` - The value for blendFunctionSourceAlpha
      Returns:
        `this` for use in a chained invocation

    - #### setBlendFunctionTargetRGB

          public JCGLBlendStateMutable setBlendFunctionTargetRGB(JCGLBlendFunction blendFunctionTargetRGB)

      Assigns a value to the `blendFunctionTargetRGB` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blendFunctionTargetRGB`.

      Parameters:
        `blendFunctionTargetRGB` - The value for blendFunctionTargetRGB
      Returns:
        `this` for use in a chained invocation

    - #### setBlendFunctionTargetAlpha

          public JCGLBlendStateMutable setBlendFunctionTargetAlpha(JCGLBlendFunction blendFunctionTargetAlpha)

      Assigns a value to the `blendFunctionTargetAlpha` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blendFunctionTargetAlpha`.

      Parameters:
        `blendFunctionTargetAlpha` - The value for blendFunctionTargetAlpha
      Returns:
        `this` for use in a chained invocation

    - #### setBlendEquationRGB

          public JCGLBlendStateMutable setBlendEquationRGB(JCGLBlendEquation blendEquationRGB)

      Assigns a value to the `blendEquationRGB` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blendEquationRGB`.

      Parameters:
        `blendEquationRGB` - The value for blendEquationRGB
      Returns:
        `this` for use in a chained invocation

    - #### setBlendEquationAlpha

          public JCGLBlendStateMutable setBlendEquationAlpha(JCGLBlendEquation blendEquationAlpha)

      Assigns a value to the `blendEquationAlpha` attribute.

      If not set, this attribute will have a default value returned by the initializer of `blendEquationAlpha`.

      Parameters:
        `blendEquationAlpha` - The value for blendEquationAlpha
      Returns:
        `this` for use in a chained invocation

    - #### blendFunctionSourceRGBIsSet

          public final boolean blendFunctionSourceRGBIsSet()

      Returns `true` if the default attribute `blendFunctionSourceRGB` is set.
      Returns:
        `true` if set

    - #### blendFunctionSourceAlphaIsSet

          public final boolean blendFunctionSourceAlphaIsSet()

      Returns `true` if the default attribute `blendFunctionSourceAlpha` is set.
      Returns:
        `true` if set

    - #### blendFunctionTargetRGBIsSet

          public final boolean blendFunctionTargetRGBIsSet()

      Returns `true` if the default attribute `blendFunctionTargetRGB` is set.
      Returns:
        `true` if set

    - #### blendFunctionTargetAlphaIsSet

          public final boolean blendFunctionTargetAlphaIsSet()

      Returns `true` if the default attribute `blendFunctionTargetAlpha` is set.
      Returns:
        `true` if set

    - #### blendEquationRGBIsSet

          public final boolean blendEquationRGBIsSet()

      Returns `true` if the default attribute `blendEquationRGB` is set.
      Returns:
        `true` if set

    - #### blendEquationAlphaIsSet

          public final boolean blendEquationAlphaIsSet()

      Returns `true` if the default attribute `blendEquationAlpha` is set.
      Returns:
        `true` if set

    - #### isInitialized

          public final boolean isInitialized()

      Returns `true` if all required attributes are set, indicating that the object is initialized.
      Returns:
        `true` if set

    - #### toImmutable

          public final JCGLBlendState toImmutable()

      Converts to `JCGLBlendState`.
      Returns:
        An immutable instance of JCGLBlendState

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLBlendStateMutable` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `blendFunctionSourceRGB`, `blendFunctionSourceAlpha`, `blendFunctionTargetRGB`, `blendFunctionTargetAlpha`, `blendEquationRGB`, `blendEquationAlpha`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Generates a string representation of this `JCGLBlendStateType`. If uninitialized, some attribute values may appear as question marks.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation

Copyright © 2016 <code@io7m.com> http://io7m.com